Skip to content
Start here

Get a submitted abuse report

abuse_reports.submitted.get(strreport_id, SubmittedGetParams**kwargs) -> SubmittedGetResponse
GET/accounts/{account_id}/abuse-reports/submitted/{report_id}

Retrieve a report submitted by the account.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Trust and Safety WriteTrust and Safety Read
ParametersExpand Collapse
account_id: str
maxLength32
report_id: str
ReturnsExpand Collapse
class SubmittedGetResponse:
id: str

Public report code.

cdate: datetime

Time the report was submitted.

formatdate-time
denial_reason: Optional[Literal["unable_to_confirm", "incomplete_report", "not_on_cloudflare", 10 more]]

Submitter-safe reason for a denied report. Null when unavailable.

One of the following:
"unable_to_confirm"
"incomplete_report"
"not_on_cloudflare"
"duplicate_report"
"content_removed"
"report_details_mismatch"
"no_abuse_found"
"missing_original_work"
"direct_url_required"
"wrong_report_category"
"content_unavailable"
"law_enforcement_referral_required"
"domain_dispute_process_required"
domain: str

Domain identified in the report.

dsa_attestation: bool

Whether the submitter provided the Digital Services Act attestation.

status: Literal["submitted", "accepted", "denied"]

Status visible to the account that submitted the report.

One of the following:
"submitted"
"accepted"
"denied"
type: Literal["PHISH", "GEN", "THREAT", 6 more]

The abuse report type

One of the following:
"PHISH"
"GEN"
"THREAT"
"DMCA"
"EMER"
"TM"
"REG_WHO"
"NCSEI"
"NETWORK"
urls: List[str]

URLs supplied with the report.

agent_name: Optional[str]

Authorized agent name supplied with the report.

comments: Optional[str]

Additional comments supplied with the report.

court: Optional[str]

The string “on” when a court proceeding applies to the report; otherwise omitted.

destination_ips: Optional[List[str]]

Destination IP addresses supplied with a network abuse report.

host_notification: Optional[str]

Submitter preference for notifying the hosting provider.

justification: Optional[str]

Evidence supplied with the report.

ncmec_notification: Optional[str]

Submitter preference for notifying NCMEC.

ncsei_subject_representation: Optional[bool]

Representation supplied for an NCSEI report.

original_work: Optional[str]

Original work or targeted brand supplied with the report.

owner_notification: Optional[str]

Submitter preference for notifying the content owner.

ports_protocols: Optional[List[str]]

Ports and protocols supplied with a network abuse report.

reg_who_request: Optional[RegWhoRequest]

RDP-mandated fields for registrar WHOIS data disclosure requests.

reg_who_good_faith_affirmation: bool

Affirmation that the request is made in good faith per RDP 10.2.4. Must be true.

reg_who_lawful_processing_agreement: bool

Agreement to process data lawfully per RDP 10.2.5. Must be true.

reg_who_request_type: Literal["disclosure", "invalid_whois"]

The type of WHOIS data request per RDP procedure.

One of the following:
"disclosure"
"invalid_whois"
reg_who_requested_data_elements: List[Literal["registrant_name", "registrant_organization", "registrant_email", 14 more]]

The specific WHOIS data elements being requested per RDP 10.2.2. Required for all WHOIS requests.

One of the following:
"registrant_name"
"registrant_organization"
"registrant_email"
"registrant_phone"
"registrant_address"
"registrant_address_country"
"registrant_address_postal_code"
"admin_name"
"admin_organization"
"admin_email"
"admin_phone"
"admin_address"
"tech_name"
"tech_organization"
"tech_email"
"tech_phone"
"tech_address"
reg_who_authorization_statement: Optional[str]

Optional authorization statement or power of attorney per RDP 10.2.1.3.

maxLength5000
reg_who_requestor_type: Optional[Literal["government", "corporation", "individual"]]

The nature of the requestor per RDP 10.2.1.2.

One of the following:
"government"
"corporation"
"individual"
reported_country: Optional[str]

Country associated with the reported activity.

reported_user_agent: Optional[str]

User agent associated with the reported activity.

source_ips: Optional[List[str]]

Source IP addresses supplied with a network abuse report.

submitter: Optional[Submitter]

Information about the submitter of the report.

company: Optional[str]
email: Optional[str]
name: Optional[str]
telephone: Optional[str]
subtypes: Optional[List[str]]

Additional abuse classifications supplied with the report.

title: Optional[str]

Title supplied with the report.

udrp: Optional[str]

The string “on” when a UDRP proceeding applies to the report; otherwise omitted.

urs: Optional[str]

The string “on” when a URS proceeding applies to the report; otherwise omitted.

Get a submitted abuse report

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
submitted = client.abuse_reports.submitted.get(
    report_id="report_id",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(submitted.id)
{
  "result": {
    "id": "id",
    "cdate": "2019-12-27T18:11:19.117Z",
    "denial_reason": "unable_to_confirm",
    "domain": "domain",
    "dsa_attestation": true,
    "status": "submitted",
    "type": "PHISH",
    "urls": [
      "string"
    ],
    "agent_name": "agent_name",
    "comments": "comments",
    "court": "court",
    "destination_ips": [
      "string"
    ],
    "host_notification": "host_notification",
    "justification": "justification",
    "ncmec_notification": "ncmec_notification",
    "ncsei_subject_representation": true,
    "original_work": "original_work",
    "owner_notification": "owner_notification",
    "ports_protocols": [
      "string"
    ],
    "reg_who_request": {
      "reg_who_good_faith_affirmation": true,
      "reg_who_lawful_processing_agreement": true,
      "reg_who_legal_basis": "reg_who_legal_basis",
      "reg_who_request_type": "disclosure",
      "reg_who_requested_data_elements": [
        "registrant_name"
      ],
      "reg_who_authorization_statement": "reg_who_authorization_statement",
      "reg_who_requestor_type": "government"
    },
    "reported_country": "reported_country",
    "reported_user_agent": "reported_user_agent",
    "source_ips": [
      "string"
    ],
    "submitter": {
      "company": "company",
      "email": "email",
      "name": "name",
      "telephone": "telephone"
    },
    "subtypes": [
      "string"
    ],
    "title": "title",
    "udrp": "udrp",
    "urs": "urs"
  },
  "success": true,
  "errors": [
    {
      "message": "message",
      "code": "string"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ]
}
Returns Examples
{
  "result": {
    "id": "id",
    "cdate": "2019-12-27T18:11:19.117Z",
    "denial_reason": "unable_to_confirm",
    "domain": "domain",
    "dsa_attestation": true,
    "status": "submitted",
    "type": "PHISH",
    "urls": [
      "string"
    ],
    "agent_name": "agent_name",
    "comments": "comments",
    "court": "court",
    "destination_ips": [
      "string"
    ],
    "host_notification": "host_notification",
    "justification": "justification",
    "ncmec_notification": "ncmec_notification",
    "ncsei_subject_representation": true,
    "original_work": "original_work",
    "owner_notification": "owner_notification",
    "ports_protocols": [
      "string"
    ],
    "reg_who_request": {
      "reg_who_good_faith_affirmation": true,
      "reg_who_lawful_processing_agreement": true,
      "reg_who_legal_basis": "reg_who_legal_basis",
      "reg_who_request_type": "disclosure",
      "reg_who_requested_data_elements": [
        "registrant_name"
      ],
      "reg_who_authorization_statement": "reg_who_authorization_statement",
      "reg_who_requestor_type": "government"
    },
    "reported_country": "reported_country",
    "reported_user_agent": "reported_user_agent",
    "source_ips": [
      "string"
    ],
    "submitter": {
      "company": "company",
      "email": "email",
      "name": "name",
      "telephone": "telephone"
    },
    "subtypes": [
      "string"
    ],
    "title": "title",
    "udrp": "udrp",
    "urs": "urs"
  },
  "success": true,
  "errors": [
    {
      "message": "message",
      "code": "string"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ]
}